package com.zd.laboratory.mapper;

import com.zd.laboratory.domain.LabHardware;
import com.zd.laboratory.domain.LabSparseHardware;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 疏散硬件Mapper接口
 *
 * @author liubo
 * @date 2022-01-25
 */
public interface LabSparseHardwareMapper
{
    /**
     * 查询疏散硬件
     *
     * @param id 疏散硬件主键
     * @return 疏散硬件
     */
    public LabSparseHardware selectLabSparseHardwareById(Long id);

    /**
     * 查询疏散硬件列表
     *
     * @param labSparseHardware 疏散硬件
     * @return 疏散硬件集合
     */
    public List<LabSparseHardware> selectLabSparseHardwareList(LabSparseHardware labSparseHardware);

    /**
     * 新增疏散硬件
     *
     * @param labSparseHardware 疏散硬件
     * @return 结果
     */
    public int insertLabSparseHardware(LabSparseHardware labSparseHardware);

    /**
     * 修改疏散硬件
     *
     * @param labSparseHardware 疏散硬件
     * @return 结果
     */
    public int updateLabSparseHardware(LabSparseHardware labSparseHardware);

    /**
     * 修改疏散硬件
     *
     * @param labSparseHardware 疏散硬件
     * @return 结果
     */
    public int updateLabSparseHardwareByFloor(LabSparseHardware labSparseHardware);


    /**
     * 删除疏散硬件
     *
     * @param id 疏散硬件主键
     * @return 结果
     */
    public int deleteLabSparseHardwareById(Long id);

    /**
     * 批量删除疏散硬件
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabSparseHardwareByIds(Long[] ids);

    int updateStatus(LabHardware labHardware);

    /**
     * 根据楼层查询设备列表
     * @param floorId
     * @param type
     * @return
     */
    List<Map<String,Object>> selectListByFloorId(@Param("floorId") Long floorId, @Param("subId") Long subId, @Param("type") int type);

    /**
     * 根据楼层查询设备列表
     * @param floorId
     * @return
     */
    List<String> selectCameraByFloorId(Long floorId);
}
